Package org.springframework.transaction.support

# Interface ResourceTransactionManager

All Superinterfaces:
  `PlatformTransactionManager`, `TransactionManager`

public interface ResourceTransactionManager extends PlatformTransactionManager
Extension of the `PlatformTransactionManager` interface, indicating a native resource transaction manager, operating on a single target resource. Such transaction managers differ from JTA transaction managers in that they do not use XA transaction enlistment for an open number of resources but rather focus on leveraging the native power and simplicity of a single target resource.

This interface is mainly used for abstract introspection of a transaction manager, giving clients a hint on what kind of transaction manager they have been given and on what concrete resource the transaction manager is operating on.

Since:
  2.0.4
Author:
  Juergen Hoeller
See Also:
  - `TransactionSynchronizationManager`

## Method Summary

Modifier and Type
Method
Description
`Object`
`getResourceFactory()`
Return the resource factory that this transaction manager operates on, for example, a JDBC DataSource or a JMS ConnectionFactory.

### Methods inherited from interface org.springframework.transaction.PlatformTransactionManager

`commit, getTransaction, rollback`

## Method Details

### getResourceFactory

Object getResourceFactory()
Return the resource factory that this transaction manager operates on, for example, a JDBC DataSource or a JMS ConnectionFactory.

This target resource factory is usually used as resource key for `TransactionSynchronizationManager`'s resource bindings per thread.

Returns:
  the target resource factory (never `null`)
See Also:
  - `TransactionSynchronizationManager.bindResource(java.lang.Object, java.lang.Object)`
  - `TransactionSynchronizationManager.getResource(java.lang.Object)`